Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class PortletInvocationFactory.ControllerPortletInvocationContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
          org.jboss.portal.core.controller.portlet.PortletInvocationFactory.ControllerPortletInvocationContext

All Implemented Interfaces:
  org.jboss.portal.portlet.spi.PortletInvocationContext

Enclosing class:
  PortletInvocationFactory

    public static class PortletInvocationFactory.ControllerPortletInvocationContext

extends org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext

Field Summary

Fields inherited from class org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
`markupInfo`

Constructor Summary
`PortletInvocationFactory.ControllerPortletInvocationContext(InvokePortletCommandFactory cmdFactory, ControllerContext controllerContext, org.jboss.portal.common.util.MarkupInfo markupInfo)`

Method Summary
`javax.servlet.http.HttpServletRequest` | `getClientRequest()`
`javax.servlet.http.HttpServletResponse` | `getClientResponse()`
`java.lang.String` | `renderURL(org.jboss.portal.portlet.ContainerURL containerURL, org.jboss.portal.portlet.URLFormat urlFormat)`

Methods inherited from class org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext
`encodeResourceURL, getMarkupInfo, renderURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletInvocationFactory.ControllerPortletInvocationContext

    public PortletInvocationFactory.ControllerPortletInvocationContext(InvokePortletCommandFactory cmdFactory,
                                                                       ControllerContext controllerContext,
                                                                       org.jboss.portal.common.util.MarkupInfo markupInfo)

Method Detail

### getClientRequest

    public javax.servlet.http.HttpServletRequest getClientRequest()
                                                           throws java.lang.IllegalStateException

  Specified by:
    `getClientRequest` in class `org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext`
  Throws:
    `java.lang.IllegalStateException`

### getClientResponse

    public javax.servlet.http.HttpServletResponse getClientResponse()
                                                             throws java.lang.IllegalStateException

  Specified by:
    `getClientResponse` in class `org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext`
  Throws:
    `java.lang.IllegalStateException`

### renderURL

    public java.lang.String renderURL(org.jboss.portal.portlet.ContainerURL containerURL,
                                      org.jboss.portal.portlet.URLFormat urlFormat)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD